Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmEIU Struct Reference

## Data Fields
Header | h
FD_t | fd
int | numFailed
int | numPkgs
str_t * | pkgURL
str_t * | fnp
char * | pkgState
int | prevx
int | pkgx
int | numRPMS
int | numSRPMS
str_t * | sourceURL
int | isSource
int | argc
str_t * | argv
rpmRelocation * | relocations
rpmRC | rpmrc

## Field Documentation

int rpmEIU::argc

| Definition at line 271 of file rpminstall.c. Referenced by rpmInstall.

str_t* rpmEIU::argv

| Definition at line 273 of file rpminstall.c. Referenced by rpmInstall.

FD_t rpmEIU::fd

| Definition at line 255 of file rpminstall.c. Referenced by rpmInstall.

str_t* rpmEIU::fnp

| Definition at line 261 of file rpminstall.c. Referenced by rpmInstall.

Header rpmEIU::h

| Definition at line 254 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::isSource

| Definition at line 270 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::numFailed

| Definition at line 256 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::numPkgs

| Definition at line 257 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::numRPMS

| Definition at line 266 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::numSRPMS

| Definition at line 267 of file rpminstall.c. Referenced by rpmInstall.

char* rpmEIU::pkgState

| Definition at line 263 of file rpminstall.c. Referenced by rpmInstall.

str_t* rpmEIU::pkgURL

| Definition at line 259 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::pkgx

| Definition at line 265 of file rpminstall.c. Referenced by rpmInstall.

int rpmEIU::prevx

| Definition at line 264 of file rpminstall.c. Referenced by rpmInstall.

rpmRelocation* rpmEIU::relocations

| Definition at line 275 of file rpminstall.c. Referenced by rpmInstall.

rpmRC rpmEIU::rpmrc

| Definition at line 276 of file rpminstall.c. Referenced by rpmInstall.

str_t* rpmEIU::sourceURL

| Definition at line 269 of file rpminstall.c. Referenced by rpmInstall.

The documentation for this struct was generated from the following file:

- lib/rpminstall.c